Bug 1249656 - Add section explaining new tuned-profiles-realtime parameters
Add section explaining new tuned-profiles-realtime parameters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Realtime_Tuning_Guide (Show other bugs)
7.2
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Maxim Svistunov
ecs-bugs
: Documentation
Depends On: 1237285
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 09:53 EDT by Clark Williams
Modified: 2016-01-27 08:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 08:34:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FIrst draft of text for Tuning Guide tuned-profiles-realtime section (3.39 KB, text/plain)
2015-09-23 11:23 EDT, Clark Williams
no flags Details

  None (edit)
Description Clark Williams 2015-08-03 09:53:34 EDT
Description of problem:

The 'tuned' package has added a 'tuned-profiles-realtime' sub-package which is used to do cpu-isolation and irq tuning. When the profile is activated it reads a variable section, which specifies the cpus to be isolated and moves all threads that may be moved off those cpu cores.

We need to add a section to the Realtime Tuning Guide which explains what the profile does and the parameters that are available for user modification.
Comment 2 Clark Williams 2015-09-23 11:23 EDT
Created attachment 1076257 [details]
FIrst draft of text for Tuning Guide tuned-profiles-realtime section

This is the first cut at a section describing how to partition a system using the facilities provided by the tuned-profiles-realtime package
Comment 3 Clark Williams 2015-09-23 11:24:28 EDT
Note, that the draft text is also available in an EtherPad:

http://mrg-rt.etherpad.corp.redhat.com/27
Comment 4 Maxim Svistunov 2015-10-01 12:52:59 EDT
Hi Clark, I'm going to work on this BZ but I don't have access to that etherpad. Please give me access.
Comment 5 Beth Uptagrafft 2015-10-01 13:17:47 EDT
Hi Maxim,
Please use the attached file 
	FIrst draft of text for Tuning Guide tuned-profiles-realtime section 

We did not want to loose the text, so we attached the contents of the etherpad to this bugzilla. Makes it easier for everyone. Please let us know if you have any questions.

-Beth

Note You need to log in before you can comment on or make changes to this bug.